Subject: Re: [bug#67846] [PATCH] gnu: Add davmail

From: Lars Rustand <[email-masked]>
Date: Sat, 16 Dec 2023 08:52:28 +0100

reza <[email-masked]> writes:

> Did you try to build it from source?

Oh, sorry. For some reason I didn't think of the jar as a binary, but
obviously it is.

> Building it from source would require to package quite a few new java
> packages, but I could give you a hand:
> https://davmail.sourceforge.net/dependencies.html

That would be great, any help is greatly appreciated! 

It's been a few years since I touched anything Java, and I have no
experience in building Java libraries, but I could certainly try. If you
have any pointers for packaging Java libraries please let me know.

So, based on the dependency tree from your link, this should be the full
list of dependencies needed. Some of which are already packaged.

 [x] junit:junit:jar:4.13.1 (test) 
 [x] org.hamcrest:hamcrest-core:jar:1.3 (test) 
 [ ] org.apache.jackrabbit:jackrabbit-webdav:jar:2.14.6 (compile) 
 [x] org.slf4j:slf4j-api:jar:1.7.25 (compile) 
 [x] org.apache.httpcomponents:httpclient:jar:4.5.6 (compile) 
 [x] org.apache.httpcomponents:httpcore:jar:4.4.10 (compile) 
 [x] commons-logging:commons-logging:jar:1.2 (compile) 
 [x] commons-httpclient:commons-httpclient:jar:3.1 (compile) 
 [ ] org.slf4j:jcl-over-slf4j:jar:1.7.25 (compile) 
 [ ] org.slf4j:slf4j-log4j12:jar:1.7.25 (compile) 
 [x] commons-codec:commons-codec:jar:1.11 (compile) 
 [x] log4j:log4j:jar:1.2.17 (compile) 
 [x] com.sun.mail:javax.mail:jar:1.5.6 (compile) 
 [ ] javax.activation:activation:jar:1.1.1 (compile) 
 [x] org.eclipse:swt:jar:4.9 (system) 
 [x] javax.servlet:servlet-api:jar:2.4 (compile) 
 [ ] net.sourceforge.htmlcleaner:htmlcleaner:jar:2.29 (compile) 
 [x] org.jdom:jdom2:jar:2.0.6.1 (compile) 
 [x] com.fasterxml.woodstox:woodstox-core:jar:6.4.0 (compile) 
 [x] org.codehaus.woodstox:stax2-api:jar:4.2.1 (compile) 
 [ ] org.samba.jcifs:jcifs:jar:1.3.14 (system) 
 [ ] net.freeutils:jcharset:jar:2.0 (compile) 
 [?] org.boris.winrun4j:winrun4j:jar:0.4.5 (system) 
 [x] org.codehaus.jettison:jettison:jar:1.5.4 (compile) 

I didn't check the versions of the stuff that is already packaged, only
if it is packaged or not. Hopefully davmail will work with whatever
version is already packaged for these dependencies.

I think winrun4j cannot possibly be needed, since that is a Windows
thing. And I'm also not sure why jcifs would be needed for an email gateway.

> Great! I was looking into packaging this software.

I also wrote a Shepherd services for davmail and offlineimap. I will
submit these services also, but they need some cleanup first. If you are
interested you can find them in a thread on bug-guix [1], or in my
channel [2].

[1] https://issues.guix.gnu.org/67802
[2] https://github.com/lrustand/guix-config